Package org.jbpm.workflow.core.node

## Class DataAssociation

- java.lang.Object
- - org.jbpm.workflow.core.node.DataAssociation

- All Implemented Interfaces:
    `Serializable`

      public class DataAssociation
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataAssociation​(String source, String target, List<Assignment> assignments, Transformation transformation)` |
    `DataAssociation​(List<String> sources, String target, List<Assignment> assignments, Transformation transformation)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<Assignment>` | `getAssignments()` |
    `List<String>` | `getSources()` |
    `String` | `getTarget()` |
    `Transformation` | `getTransformation()` |
    `void` | `setAssignments​(List<Assignment> assignments)` |
    `void` | `setSources​(List<String> sources)` |
    `void` | `setTarget​(String target)` |
    `void` | `setTransformation​(Transformation transformation)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataAssociation

          public DataAssociation​(List<String> sources,
                                 String target,
                                 List<Assignment> assignments,
                                 Transformation transformation)

    - #### DataAssociation

          public DataAssociation​(String source,
                                 String target,
                                 List<Assignment> assignments,
                                 Transformation transformation)

  - ### Method Detail

    - #### getSources

          public List<String> getSources()

    - #### setSources

          public void setSources​(List<String> sources)

    - #### getTarget

          public String getTarget()

    - #### setTarget

          public void setTarget​(String target)

    - #### getAssignments

          public List<Assignment> getAssignments()

    - #### setAssignments

          public void setAssignments​(List<Assignment> assignments)

    - #### getTransformation

          public Transformation getTransformation()

    - #### setTransformation

          public void setTransformation​(Transformation transformation)